# Valheim 2.0

Welcome to the second rendition of our modded valheim playthrough, thought it might be cool to make a custom modpack to make things easier for every so here we are! If your reading this it means i got it to work and all you need to do now is update this modpack instead of importing files:)

## The TLDR of the mods I added

- Many Many mods that add lots weopons and armour throughout the game
- Many mods that add new monsters or effect monsters in one way or another
- Over 1000+ building blocks including the capability of making your own ship
- Many quality of life mods similar to previous pack reducing grind etc etc
- Some other smaller mods that will spice up the experience for builders and combat players alike
- 2 RPG mods that add leveling for players and monsters 1 of which adds extra abilities to players

There you have it, 63 mods summed up in 6 lines
Now I get to go and right out the first changelog and what each mod does :) ill see ya in a year or so, enjoy the modpack

## Must Know and quick tips
I'm going to break this area up into different sections so you can read the tips for you. These tips will expand as we play and I learn how these mods work and function

### Tips for all, if you don't use these features your stupid

- pressing "`" (grave/tilde) will quick stack the items in your inventory to matching items in nearby chest, in order to stop certain things from doing this like food or ammo ctrl + rightclick and ctrl + leftclick will stop items from quick stacking

- all mod configs can be edited in game by clicking "F1", note some mods will not allow you to change them if they are server locked meaning they can only be changed on server or by admins

- you can have 2 passive boss powers at once, so go be a god fool

- place pressure plates on either sides of doors so they auto open and close, or don't, I can laugh at you walk into doors then

- if you don't know what an item is for press "r" while hovering over said item and VNEI will show you how to get the item and what it is used for

- more information about any mod can be found by going to your r2modman profile for Valheim, selecting a mod and clicking the version number bringing you to the webpage

### RPG mods, I decided they needed their own category

- by offering certain items to the Eikthyr Altar you can become a certain class

    1. Berserker - Bone fragments 
    2. Druid - Dandelion 
    3. Duelist - Thistle 
    4. Enchanter - Resin
    5. Mage - Coal
    6. Metavoker - Raspberry
    7. Monk - Wood
    8. Priest - Stone
    9. Ranger - Boar
    10. Meat Rogue - Honey
    11. Shaman - Greydwarf Eye
    12. Valkyrie - Flint
    - more information about each class and their abilities can be found [here](https://www.nexusmods.com/valheim/mods/796)
### Building

- There multiple different types of building hammers not just the default one now!

- while using the vanilla build hammer you can press "B + LeftControl" to disconnect the camera from the player letting you be freeeee

- to change the colour of light emitting object like torches and campfires hover over them and a prompt will show up allowing this, what colour they are changed to and be configured in the F1 ColourfulLights section

### Combat and Exploration

- Horse info, yes we have horses
    - Horse will spawn on Meadows, he's pretty rare to find as he spawns only on Sunny Days
    - Horse allows carts to be attached
    - Horse can be tamed with Blueberries, Carrots, Cloudberries and Barley
    - Horse offspring will run away from You so make sure to close it carefully

I have nothing else to add currently as I have ABSALUTELY no idea on what each combat mods are like and exploration mods but there will very much be things like enchanting added here


## Changelog 


<details><summary>v1.0.0</summary> 

Welcome to 1.0 rendition, there is 63 mods added so if you don't wanna read what each one does that's ok, I made the must know for a reason

MODLIST + DESC:

- AutoFeed - 
    auto feed animals from chest
- AutomaticFuel -
    auto fuel machines
- AzuAutoStore -
    auto store items from ground, eg machine drops
- BepInExPack_Valheim - 
    framework adds nothing itself
- Better_Trader_Remake - 
    allows merchant to sell all items (configurable)
- BetterArchery - 
    makes bows usable by tweaking a few things
- BetterChat - 
    makes chat feel more natural
- Blacksmithing - 
    Adds a skill that increases the durability of armor and weapons and other perks for blacksmithing.
- Build_Camera_Custom_Hammers_Edition - 
    Adds a build camera to your vanilla and custom hammers
- BuildIt - 
    adds a bunch of build pieces
- CustomLoadingScreen - 
    Allows me to make custom loading screens and tips :))))
- Clutter - 
    adds a bunch on interior decor pieces
- ColorfulLights - 
    color any torch, firepit, stone hearth and bonfire using RGB and HTML color codes
- ComfortTweaks - 
    tweaks the comfort system
- ConfigWatcher - 
    reloads cfg file if they are changed without the need of restarting
- ConversionSizeAndSpeed
    increase speed and size of machines
- CreatureLevelAndLootControl - 
    customize enemy level and loot drops
- EpicLoot - 
    adds loot drops, magic items, and enchanting to Valheim
- EpicValheimsAdditions - 
    adds 3 new tiers of Weapons / Shields / Tools, Custom Bosses, Custom Boss Altars, Custom Minibosses, Gatherable Ores / Resources, to the Mistlands/Deepnorth/Ashlands
- EquipmentAndQuickSlots - 
    gives armour and 3 items there own dedicated slots
- Evasion - 
    adds a skill that reduces the stamina usage of dodging
- ExtendedItemDataFramework - 
    framework adds nothing itself
- Groups - 
    adds basic group features to the game
- HeyListen - 
    expands wisp range
- InstantMonsterLootDrop - 
    makes mobs drop loot instantly instead of needing to wait for them to poof
- jtv_biomes - 
    adds Vegetation and Locations to the Mistlands, Deep North, and Ashlands
- MassFarming - 
    makes farming easier
- Mineshafts - 
    adds underground mining to valheim
- Mining - 
    adds a skill that increases damage dealt while mining and item yield from ore deposits
- ModHookGenPatcher - 
    framework adds nothing itself
- ModJotunn - 
    framework adds nothing itself
- MonsterLabZ - 
    new monsters
- MultiUserChest - 
    allows multipul players to access chest at same time
- OdinArchitect - 
    more building blocks decided for large scale builds
- OdinHorse -
    horse mount :)
- OdinsUndercroft - 
    adds a basesment
- OdinsQOL
    replacement for valheim plus increasing performance of server and client
- Official_BepInEx_ConfigurationManager - 
    used to change configs of mods in game
- PackHorse - 
    adds a skill that increases the maximum carry weight
- PassivePowers - 
    makes the boss powers weaker, but passive. Optionally, they can still be activated for a short burst of power
- PotionPlus - 
    adds more potions
- PressurePlate - 
    a pressure plate used to open and close doors automatically
- QuickStack - 
    quick deposit items to nearby chests
- Ranching - 
    adds a skill that makes taming animals faster and increases item yield of tamed creatures
- Sailing - 
    adds a skill that increases the health of ships, sailing speed and exploration radius while sailing
- SailingSpeed - 
    lets you configure the base speed of ships
- SapExtractor - 
    configure sap extractor rate
- SeaAnimals - 
    adds, you guessed it, sea animals
- SeedTotem - 
    auto plant seeds around totem, click totem to harvest plants near
- SearsCatalo - 
    resize the building/s select menu so we can actually see them all lol
- SleepSkip - 
    only 1 person needs to sleep
- TargetPortal - 
    no need for portals to match tags
- TopMining - 
    makes mining large ore veins easier
- TrashItems - 
    adds a trash slot to inventory
- Triple_Bronze_JVL - 
    makes bronze cheaper and make sense
- Valheim_Legends - 
    adds selectable hero classes to the game, each with unique abilities and skills
- ValheimRAFT - 
    CUSTOMMMMM SHIPSSSSSSSSSSSSSSSSSSSSS
- VALKEA - 
    for all your building needs
- VNEI - 
    recipe search menu
- WackyEpicMMOSystem - 
    another RPG adding leveling
- Warfare - 
    adds mor weopons armour etc etc

if you got this far, thanks, you probs skipped reading everything to see if there was anything down here soooo, take a heart <3 enjoy your adventure